Nux!


Home » Repos » Report a problem or request a package » Problem installing foo2hiperc (A failing dependency is preventing the installation of foo2hiperc)
Problem installing foo2hiperc [message #347] Thu, 09 August 2012 22:07 Go to next message
Steve W is currently offline  Steve W
Messages: 4
Registered: August 2012
Location: Linton, IN USA
Junior Member
The attempt to install fails so:

[root@steve3 Stella]# yum install foo2hiperc
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: mirrors.gigenet.com
* elrepo: mirror.symnds.com
* epel: mirror.itc.virginia.edu
* extras: centos.mbni.med.umich.edu
* nux-dextop: mirror.li.nux.ro
* rpmforge: mirror.teklinks.com
* updates: mirrors.gigenet.com
file:///media/CentOS_6.3_Final/repodata/repomd.xml: [Errno 14] Could not open/read file:///media/CentOS_6.3_Final/repodata/repomd.xml
Trying other mirror.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package foo2hiperc.x86_64 0:0.20111105-2.el6.nux will be installed
--> Processing Dependency: lcms for package: foo2hiperc-0.20111105-2.el6.nux.x86_64
--> Processing Dependency: foo2zjs for package: foo2hiperc-0.20111105-2.el6.nux.x86_64
--> Processing Dependency: libjbig.so.2.0()(64bit) for package: foo2hiperc-0.20111105-2.el6.nux.x86_64
--> Running transaction check
---> Package foo2zjs.x86_64 0:0.20111105-2.el6.nux will be installed
--> Processing Dependency: argyllcms for package: foo2zjs-0.20111105-2.el6.nux.x86_64
---> Package jbigkit-libs.x86_64 0:2.0-3.el6.nux will be installed
---> Package lcms.x86_64 0:1.19-1.el6 will be installed
--> Finished Dependency Resolution
Error: Package: foo2zjs-0.20111105-2.el6.nux.x86_64 (nux-dextop)
Requires: argyllcms
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@steve3 Stella]#


The repo list looks so:

[root@steve3 Stella]# yum repolist
Loaded plugins: fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
* base: mirror.wiredtree.com
* elrepo: ftp.osuosl.org
* epel: ftp.osuosl.org
* extras: ftp.osuosl.org
* nux-dextop: mirror.li.nux.ro
* rpmforge: mirror.us.leaseweb.net
* updates: mirror.anl.gov
file:///media/CentOS_6.3_Final/repodata/repomd.xml: [Errno 14] Could not open/read file:///media/CentOS_6.3_Final/repodata/repomd.xml
Trying other mirror.
repo id repo name status
base CentOS-6 - Base 6,346
c6-media CentOS-6 - Media 6,346
elrepo ELRepo.org Community Enterprise Linux Repository - el6 205
epel Extra Packages for Enterprise Linux 6 - x86_64 7,673
extras CentOS-6 - Extras 4
nux-dextop Nux.Ro RPMs for general desktop use 961
rpmforge RHEL 6 - RPMforge.net - dag 4,403
updates CentOS-6 - Updates 410
repolist: 26,348
[root@steve3 Stella]#

Ignore the errors re CentOS_6.3_Final - that's the repo for the distro DVD and it's out of the drive at the moment.

I think I must not have a repo configured that was used to build the package but I think I got all that were mentioned here and there. It might be of some use to have a set of the repo rpms in one place so everything needed was in one location and could be installed in one operation.

Thanks in advance.
Steve W
Re: Problem installing foo2hiperc [message #349 is a reply to message #347] Fri, 10 August 2012 19:52 Go to previous messageGo to next message
symbianflo is currently offline  symbianflo
Messages: 176
Registered: January 2012
Location: italy
Senior Member

Hi
Thx for reporting it, I'll try to fix it ASAP .
I'll update this post when done.
Re: Problem installing foo2hiperc [message #350 is a reply to message #347] Fri, 10 August 2012 20:29 Go to previous messageGo to next message
symbianflo is currently offline  symbianflo
Messages: 176
Registered: January 2012
Location: italy
Senior Member

Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package foo2hiperc.x86_64 0:0.20111105-2.el6.nux will be installed
--> Processing Dependency: lcms for package: foo2hiperc-0.20111105-2.el6.nux.x86_64
--> Processing Dependency: foo2zjs for package: foo2hiperc-0.20111105-2.el6.nux.x86_64
--> Processing Dependency: libjbig.so.2.0()(64bit) for package: foo2hiperc-0.20111105-2.el6.nux.x86_64
--> Running transaction check
---> Package foo2zjs.x86_64 0:0.20111105-2.el6.nux will be installed
--> Processing Dependency: argyllcms for package: foo2zjs-0.20111105-2.el6.nux.x86_64
---> Package jbigkit-libs.x86_64 0:2.0-3.el6.nux will be installed
---> Package lcms.x86_64 0:1.19-1.el6 will be installed
--> Running transaction check
---> Package argyllcms.x86_64 0:1.1.0-0.2.20100201git.stella will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================================================================================================================
 Package                                    Arch                                 Version                                                      Repository                                Size
=============================================================================================================================================================================================
Installing:
 foo2hiperc                                 x86_64                               0.20111105-2.el6.nux                                         nux-dextop                                82 k
Installing for dependencies:
 argyllcms                                  x86_64                               1.1.0-0.2.20100201git.stella                                 mrb-repo                                  11 M
 foo2zjs                                    x86_64                               0.20111105-2.el6.nux                                         nux-dextop                               388 k
 jbigkit-libs                               x86_64                               2.0-3.el6.nux                                                nux-dextop                                45 k
 lcms                                       x86_64                               1.19-1.el6                                                   base                                      72 k

Transaction Summary
=============================================================================================================================================================================================
Install       5 Package(s)

Total download size: 12 M
Installed size: 29 M
Is this ok [y/N]: 


The missing package it is on my media
till Nux will promote it to nux-desktop use this.

Re: Problem installing foo2hiperc [message #354 is a reply to message #347] Sat, 11 August 2012 12:22 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1662
Registered: January 2012
Senior Member
Administrator

Hi,

Thanks for reporting the problem. I have backported argyllcms from Fedora and it should appear that it installs fine, can't vouch for how functional it is.
Feedback welcome.

(solved) Re: Problem installing foo2hiperc [message #369 is a reply to message #347] Mon, 13 August 2012 22:53 Go to previous message
Steve W is currently offline  Steve W
Messages: 4
Registered: August 2012
Location: Linton, IN USA
Junior Member
Thanks for the swift response. yum install foo2hiperc works as expected. Mark this as solved!

[Updated on: Mon, 20 August 2012 20:11]

Report message to a moderator

Previous Topic: Gimp 2.8
Next Topic: Warsow 1.0
Goto Forum:
  


Current Time: Sat Dec 07 04:09:10 GMT 2019

Total time taken to generate the page: 0.04258 seconds